Invite a staff member
curl --request POST \
--url https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Alex",
"last_name": "Taylor",
"email": "alex.taylor@example.com",
"staff_id": "STAFF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Alex',
last_name: 'Taylor',
email: 'alex.taylor@example.com',
staff_id: 'STAFF-001'
})
};
fetch('https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user"
payload = {
"first_name": "Alex",
"last_name": "Taylor",
"email": "alex.taylor@example.com",
"staff_id": "STAFF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"response": {
"user_id": "<user-id>"
}
}Staff
Invite a staff member
Create a pending compliance team member with the Approver role.
POST
/
create_pending_user
Invite a staff member
curl --request POST \
--url https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Alex",
"last_name": "Taylor",
"email": "alex.taylor@example.com",
"staff_id": "STAFF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Alex',
last_name: 'Taylor',
email: 'alex.taylor@example.com',
staff_id: 'STAFF-001'
})
};
fetch('https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://wfa-team-tool-v1.bubbleapps.io/version-test/api/1.1/wf/create_pending_user"
payload = {
"first_name": "Alex",
"last_name": "Taylor",
"email": "alex.taylor@example.com",
"staff_id": "STAFF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "success",
"response": {
"user_id": "<user-id>"
}
}Authorizations
Your company API token. Keep it on your server.
Body
application/json
Staff member’s first name.
Example:
"Alex"
Staff member’s last name.
Example:
"Taylor"
Staff member’s invitation email address.
Example:
"alex.taylor@example.com"
Your external Staff ID; use it when referring to the person in assessments.
Example:
"STAFF-001"
.avif?fit=max&auto=format&n=D14pPx7nwaebT2G5&q=85&s=4c6d67fe3600ae0af1af440b290c4e21)